require("menus")
require("conf")
require("LoveFrames-master")

mouse_x = love.mouse.getX()
mouse_y = love.mouse.getY()

love.window.setTitle("Beaverball: Revenge")
love.window.setMode(1920, 1080)
love.graphics.setDefaultFilter('nearest', 'nearest') 

showFPS = false

fullscreen = true
windowed = false

function love.load()
  loveframes = require("LoveFrames-master")
  beaver = {}
  beaver.image = love.graphics.newImage('beaver.png')
  beaver.x = 0
  beaver.y = 1000
  beaver.speed = 5
  
  width = love.graphics.getWidth()
  height = love.graphics.getHeight()
  
  --[[redneck = {}
  redneck.x = 0
  redneck.y = 0
  redneck.speed = 0]]
  
  
  gamestate = "startmenu"
  loveframes.SetState('startmenu')
  render_startmenu()
  --[[render_helpmenu()
  render_settings()
  render_exit()
  render_slider1()]]
end
function love.update(dt)
  --Side Collision
  if beaver.x < 0 then
    beaver.x = 0
  elseif beaver.x > 1835 then
    beaver.x = 1835
  elseif beaver.y < 50 then
    beaver.y = 50
  elseif beaver.y > 1000   then
    beaver.y = 1000
  end
  
  if gamestate == "playing" then
    beaver.speed = 5
  else
    beaver.speed = 0
    end
  
  if fullscreen == true then
    windowed = false
    love.window.setFullscreen( true )
  elseif windowed == true then
    fullscreen = false
    love.window.setFullscreen( false )
  end
  
  if love.keyboard.isDown("escape") and gamestate == "playing" then
    gamestate = "paused"
  elseif love.keyboard.isDown("backspace") and gamestate == "paused" then
    gamestate = "playing"
  elseif love.keyboard.isDown("escape") and gamestate == "startmenu" then
    love.event.quit()
  elseif love.keyboard.isDown("f1") and showFPS == false then
    showFPS = true
  elseif love.keyboard.isDown("f2") and showFPS == true then
    showFPS = false
  elseif love.keyboard.isDown("d") then
    beaver.x = beaver.x + beaver.speed
  elseif love.keyboard.isDown("a") then
    beaver.x = beaver.x - beaver.speed
  elseif love.keyboard.isDown("f3") and windowed == true and gamestate == "paused" or gamestate == "startmenu" then
    fullscreen = true
    windowed = false
  elseif love.keyboard.isDown("f3") and fullscreen == true and
  gamestate == "paused" or gamestate == "startmenu" then
    windowed = true
    fullscreen = false
    end
    loveframes.update(dt)
  end
--[[function love.keypressed( key )
  if key == "escape" then
    love.event.quit()
  elseif key == "f1" then
    gamestate = "paused"
  elseif key == "f2" then
    gamestate = "playing"
  elseif key == "f3" then
    showFPS = true
  elseif key == "f4" then
    showFPS = false
  elseif key == "d" then
    beaver.x = beaver.x + beaver.speed
  elseif key == "a" then
    beaver.x = beaver.x - beaver.speed
    end
    end]]
function love.draw()
    if gamestate == "startmenu" then
      
    elseif gamestate == "playing" then
      love.graphics.setColor(255, 255, 255)
      love.graphics.setPointSize(9)
      love.graphics.print('Press Escape for help.', 890, 0)
      love.graphics.setColor(255, 255, 255)
      love.graphics.draw(beaver.image, beaver.x, beaver.y, 0, 1)
      
    elseif gamestate == "paused" then
      love.graphics.setColor(0, 0, 0)
        love.graphics.rectangle("fill", 0, 0, 2000, 2000)
      love.graphics.setColor(255, 255, 255)
        love.graphics.setPointSize(9)
        love.graphics.print('Press Backspace to close help.', 885, 0)
        love.graphics.print('Press F1 to show FPS.', 890, 475)
        love.graphics.print('Press F2 to hide FPS', 890, 500)
        love.graphics.print('Press F3 for fullscreen', 890, 525)
        love.graphics.print('Press F4 for windowed', 890, 550)
      end
      
      if showFPS == true then
      love.graphics.print("FPS: "..love.timer.getFPS(), 0, 0)
      end

      loveframes.draw()
    end